最新消息:请随时分享你的乐趣!

Intellj Idea Maven 默认使用JDK8作为 编译器

技术博客 磊子 14浏览 0评论

在Intellj Idea 中Maven指定JDK8 版本

问题:

这段时间发现开发的时候JDK8 不能使用lambda表达式。
并且在idea中指定File->Project Structure->Artifacts->SDK&LanguageLevel都是JDK8 也不能使工程默认使用JDK8编译。

这可能是idea 让maven配置的权重大于IDE的设定

而必须要使用Maven进行指定JDK8
才能改变他的默认编译版本。

结论

修改Maven的 pom.xml :

<plugin>
    <groupId>org.apache.maven.plugins</groupId>
    <artifactId>maven-compiler-plugin</artifactId>
    <configuration>
        <source>1.8</source>
        <target>1.8</target>
    </configuration>
 </plugin>

转载请注明:印迹. » Intellj Idea Maven 默认使用JDK8作为 编译器

发表我的评论
取消评论

表情